%define gst_plugins gst-plugins
%define ver_major 0.10

%define _gst_datadir %_datadir/gstreamer-%ver_major
%define _gst_libdir %_libdir/gstreamer-%ver_major
%define _gtk_docdir %_datadir/gtk-doc/html

Name: %gst_plugins-good
Version: %ver_major.14
Release: alt3

Summary: A set of GStreamer plugins considered good
Group: System/Libraries
License: LGPL
URL: http://gstreamer.freedesktop.org/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: lib%gst_plugins >= 0.10.13
Requires: gstreamer >= 0.10.13

Obsoletes: %name-all <= %version
Obsoletes: %name-audio-filters <= %version
Obsoletes: %name-audio-formats <= %version
Obsoletes: %name-container-formats <= %version
Obsoletes: %name-network <= %version
Obsoletes: %name-tags <= %version
Obsoletes: %name-test <= %version
Obsoletes: %name-video-effects <= %version
Obsoletes: %name-video-filters <= %version
Obsoletes: %name-visualization <= %version
Obsoletes: %gst_plugins-aalib <= %version
Obsoletes: %gst_plugins-annodex <= %version
Obsoletes: %gst_plugins-audiofx <= %version
Obsoletes: %gst_plugins-caca <= %version
Obsoletes: %gst_plugins-cairo <= %version
Obsoletes: %gst_plugins-cdio <= %version
Obsoletes: %gst_plugins-dv <= %version
Obsoletes: %gst_plugins-dv1394 <= %version
Obsoletes: %gst_plugins-esd <= %version
Obsoletes: %gst_plugins-flac <= %version
Obsoletes: %gst_plugins-gdkpixbuf <= %version
Obsoletes: %gst_plugins-hal <= %version
Obsoletes: %gst_plugins-jpeg <= %version
Obsoletes: %gst_plugins-png <= %version
Obsoletes: %gst_plugins-shout2 <= %version
Obsoletes: %gst_plugins-speex <= %version
Obsoletes: %gst_plugins-taglib <= %version
Obsoletes: %gst_plugins-video4linux2 <= %version
Obsoletes: %gst_plugins-wavpack <= %version
Obsoletes: %gst_plugins-ximagesrc <= %version
Obsoletes: gst-pulse <= %version

Provides: %name-all = %version-%release
Provides: %name-audio-filters = %version-%release
Provides: %name-audio-formats = %version-%release
Provides: %name-container-formats = %version-%release
Provides: %name-network = %version-%release
Provides: %name-tags = %version-%release
Provides: %name-test = %version-%release
Provides: %name-video-effects = %version-%release
Provides: %name-video-filters = %version-%release
Provides: %name-visualization = %version-%release
Provides: %gst_plugins-aalib = %version-%release
Provides: %gst_plugins-annodex = %version-%release
Provides: %gst_plugins-audiofx = %version-%release
Provides: %gst_plugins-caca = %version-%release
Provides: %gst_plugins-cairo = %version-%release
Provides: %gst_plugins-cdio = %version-%release
Provides: %gst_plugins-dv = %version-%release
Provides: %gst_plugins-dv1394 = %version-%release
Provides: %gst_plugins-esd = %version-%release
Provides: %gst_plugins-flac = %version-%release
Provides: %gst_plugins-gdkpixbuf = %version-%release
Provides: %gst_plugins-hal = %version-%release
Provides: %gst_plugins-jpeg = %version-%release
Provides: %gst_plugins-png = %version-%release
Provides: %gst_plugins-shout2 = %version-%release
Provides: %gst_plugins-speex = %version-%release
Provides: %gst_plugins-taglib = %version-%release
Provides: %gst_plugins-video4linux2 = %version-%release
Provides: %gst_plugins-wavpack = %version-%release
Provides: %gst_plugins-ximagesrc = %version-%release
Provides: gst-pulse = %version-%release

Source0: http://gstreamer.freedesktop.org/src/%name/%name-%version.tar.bz2

# Automatically added by buildreq on Mon Feb 18 2008
BuildRequires: GConf aalib-devel gcc-c++ gst-plugins-devel gtk-doc libGConf-devel libSM-devel
BuildRequires: libXdamage-devel libXv-devel libavc1394-devel libcaca-devel libcdio-devel libdv-devel libflac-devel
BuildRequires: libgpm-devel libgtk+2-devel libhal-devel libiec61883-devel liboil-devel libshout2-devel libslang-devel
BuildRequires: libtag-devel libwavpack-devel python-module-PyXML python-modules-email python-modules-encodings
BuildRequires: libsoup-devel libjpeg-devel libpulseaudio-devel

%description
GStreamer Good Plug-ins is is a set of plug-ins that the developers consider
to have good quality code, correct functionality, and their preferred license
(LGPL for the plug-in code, LGPL or LGPL-compatible for the supporting
library).

%package devel-doc
Summary: Development documentation for GStreamer Good plugins
Group: Development/C

%description devel-doc
This package contains development documentation for GStreamer Good Plugins.

%package -n %gst_plugins-gconf
Summary: GStreamer wrappers for GConf settings
Group: System/Libraries
Requires: %name = %version-%release
PreReq(post): GConf

%description -n %gst_plugins-gconf
GStreamer elements wrapping the GStreamer/GConf audio/video output settings.
This package also installs schemas that provide the CConf settings.

%undefine __libtoolize

%prep
%setup -q

%build
#export AUTOPOINT=true
#%autoreconf
%configure \
	--enable-experimental \
	--disable-examples \
	--disable-valgrind \
	--disable-oss \
	--disable-gdk_pixbuf \
	--enable-gtk-doc \
	--disable-debug \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name-%ver_major

%post -n %gst_plugins-gconf
%gconf2_install gstreamer-0.10

%preun -n %gst_plugins-gconf
if [ $1 = 0 ]; then
%gconf2_uninstall gstreamer-0.10
fi

%files -f %name-%ver_major.lang
%doc AUTHORS NEWS README RELEASE
%dir %_gst_libdir
%exclude %_gst_libdir/libgstgconfelements.so
%_gst_libdir/*.so
%_gst_datadir

%files devel-doc
%_gtk_docdir/*

%files -n %gst_plugins-gconf
%_sysconfdir/gconf/schemas/gstreamer-0.10.schemas
%dir %_gst_libdir
%_gst_libdir/libgstgconfelements.so

%changelog
* Mon Apr 19 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.10.14-alt3
- added Obsoletes/Provides gst-pulse (closes: #19690)

* Sat Apr 18 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.10.14-alt2
- enabled pulseaudio plugin

* Fri Feb 20 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.10.14-alt1
- 0.10.14

* Fri Jan 23 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.10.13-alt1
- 0.10.13

* Sun Dec 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.11-alt5
- enabled experimental

* Sun Dec 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.11-alt4
- rebuild without jpeg-mmx

* Mon Nov 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.11-alt3
- disabled esd plugin

* Tue Nov 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.11-alt2
- disabled OSS plugin

* Sun Oct 26 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.11-alt1
- 0.10.11

* Sat Oct 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.9-alt2
- disabled pulse plugin

* Tue Aug 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.9-alt1
- 0.10.9

* Thu May 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.8-alt2
- rebuild

* Thu Apr 24 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.8-alt1
- 0.10.8

* Tue Apr 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.7-alt3
- rebuild (close #15336)

* Thu Feb 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.7-alt2
- join together subpackage

* Thu Feb 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.7-alt1
- 0.10.7

* Mon Feb 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.6-alt2
- use GST_TAG_ARTIST_SORTNAME instead of the deprecated GST_TAG_MUSICBRAINZ_SORTNAME (close #13844)
- build video4linux2 plugin
- spec cleanup
- update build dependencies

* Mon Sep 10 2007 Igor Zubkov <icesik@altlinux.org> 0.10.6-alt1
- 0.10.5 -> 0.10.6

* Mon Apr 23 2007 Igor Zubkov <icesik@altlinux.org> 0.10.5-alt5
- enable ladspa support

* Mon Apr 23 2007 Igor Zubkov <icesik@altlinux.org> 0.10.5-alt4
- enable libcaca support

* Tue Mar 13 2007 Igor Zubkov <icesik@altlinux.org> 0.10.5-alt3
- rebuild with libFLAC.so.8

* Mon Feb 26 2007 Igor Zubkov <icesik@altlinux.org> 0.10.5-alt2
- add patch to build with/without new flac 1.1.3 (closes #10940)

* Wed Feb 21 2007 Igor Zubkov <icesik@altlinux.org> 0.10.5-alt1
- 0.10.4 -> 0.10.5

* Mon Dec 25 2006 Igor Zubkov <icesik@altlinux.org> 0.10.4-alt4
- rebuild with new dbus

* Mon Dec 18 2006 Igor Zubkov <icesik@altlinux.org> 0.10.4-alt3
- disable libcaca support

* Wed Aug 30 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.4-alt2
- Removed obsolete schema install scripts for gst-plugins-gconf

* Thu Aug 24 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.4-alt1
- Release 0.10.4
- Require libiec61883-devel and libraw1394 >= 1.1.0 for dv1394

* Sat Jun 03 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.3-alt2
- Fixed a dependency in gst-plugins-good-all

* Thu Jun 01 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.3-alt1
- Release 0.10.3
- Added icydemux to the container format plugins
- Added annodex, gdk_pixbuf, hal, taglib, ximagesrc plugins
- Disabled check by default due to a failing icydemux test

* Wed Apr 19 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.2-alt2
- Do configure ladspa, the configure flag had a typo
- The ladspa plugin is never built anyway, disabled it

* Mon Feb 20 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.2-alt1
- 0.10.2
- Renamed debug to test
- Renamed effects to filters, effects-extra to effects
- Added cdio
- Added tags package to contain apetag and id3demux,
  the latter moved from audio-formats

* Wed Jan 18 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.1-alt1
- 0.10.1
- Added id3demux to audio-formats

* Wed Dec 28 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.0-alt2
- Corrected dependencies to install against updated versions of
  gstreamer and gst-plugins-base

* Fri Dec 16 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.0-alt1
- Initial release for Sisyphus of plugins as split in 0.9
